Bug 1118536 - [abrt] streamtuner: streamtuner2:285:rowno:TypeError: iter should be a GtkTreeIter
Summary: [abrt] streamtuner: streamtuner2:285:rowno:TypeError: iter should be a GtkTre...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: streamtuner
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Haase
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fb704c4f05d3f99763b6a5a379f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 01:50 UTC by mastaiza
Modified: 2015-06-29 21:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:33:09 UTC


Attachments (Terms of Use)
File: backtrace (596 bytes, text/plain)
2014-07-11 01:50 UTC, mastaiza
no flags Details
File: environ (1.29 KB, text/plain)
2014-07-11 01:50 UTC, mastaiza
no flags Details

Description mastaiza 2014-07-11 01:50:49 UTC
Version-Release number of selected component:
streamtuner-2.1.1-5.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python /usr/bin/streamtuner2
executable:     /usr/bin/streamtuner2
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
streamtuner2:285:rowno:TypeError: iter should be a GtkTreeIter

Traceback (most recent call last):
  File "/usr/bin/streamtuner2", line 308, in on_play_clicked
    row = self.row()
  File "/usr/bin/streamtuner2", line 290, in row
    return self.channel().stations() [self.rowno()]
  File "/usr/bin/streamtuner2", line 285, in rowno
    return model.get_path(iter)[0]
TypeError: iter should be a GtkTreeIter

Local variables in innermost frame:
model: <gtk.ListStore object at 0x33b8500 (GtkListStore at 0x34534a0)>
self: <StreamTunerTwo object at 0x25f1870 (GtkBuilder at 0x22f7ba0)>
iter: None

Potential duplicate: bug 1118469

Comment 1 mastaiza 2014-07-11 01:50:53 UTC
Created attachment 917233 [details]
File: backtrace

Comment 2 mastaiza 2014-07-11 01:50:54 UTC
Created attachment 917234 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:20:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:33:09 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.